%define ISONAME KOI8

Name: XFree86-%ISONAME
Version: 3.0
Release: ipl6mdk

Packager: AEN <aen@altlinux.ru>

License: distributable
Source: ftp://ftp.ksi-linux.com/pub/patches/ksi-XFree86-cyrillic-fonts.tar.bz2
Source1: Makefile.cyrfonts
Requires: XFree86 > 3.2

BuildArch: noarch

Group: System/Fonts/X11 bitmap
Summary: Russian and Ukrainian fonts for the X Window System
PreReq: chkfontpath
Requires: chkfontpath >= 1.4.1

%description
If you use the X Window System and you want to display Russian and
Ukrainian fonts, you may install the XFree86-KOI8-R package.

This package contains set of Russian and Ukrainian fonts, in
compliance with the KOI8-U standard. The fonts included in
this package are distributed free of charge and can be used
freely, subject to the accompanying copyright:

You may also need to install one or more other XFree86 fonts
packages.

To install the X Window System, you will need to install the
XFree86 package, the XFree86 package which corresponds to your
video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: System/Fonts/X11 bitmap
Summary: A set of 75 dpi Russian and Ukrainian language fonts for X

%description 75dpi-fonts
The XFree86-KOI8-R-75dpi-fonts package contains a set of Russian and
Ukrainian language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,
you should install the 100 dpi version of this package instead.

If you are installing the X Window System and you need to display
Russian and Ukrainian language characters in 75 dpi resolution, you should
install this package.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: System/Fonts/X11 bitmap
Summary: KOI8-R fonts in 100 dpi resolution for the X Window System

%description 100dpi-fonts
The XFree86-KOI8-R-100dpi-fonts package includes Russian and Ukrainian
(KOI8-R) fonts, in 100 dpi resolution, for the X Window System.

If you need to display the special characters used by Russian and Ukrainian
languages on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-KOI8-R-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  If you're going
to develop applications which run as X clients, you'll also need to
install XFree86-devel.

%prep
%setup -q -n Cyrillic
cp %SOURCE1 ./Makefile

%build
make all

%install
DSTFONT=$RPM_BUILD_ROOT%_x11fontsdir/%ISONAME
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$DSTFONT

%post
    /usr/sbin/chkfontpath -q -a %_x11fontsdir/%ISONAME/misc

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/%ISONAME/misc
fi

%post 75dpi-fonts
    /usr/sbin/chkfontpath -q -a %_x11fontsdir/%ISONAME/75dpi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/%ISONAME/75dpi
fi

%post 100dpi-fonts
    /usr/sbin/chkfontpath -q -a %_x11fontsdir/%ISONAME/100dpi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/%ISONAME/100dpi
fi

%files
%doc COPYRIGHT
%dir %_x11fontsdir/%ISONAME
%_x11fontsdir/%ISONAME/misc

%files 75dpi-fonts
%_x11fontsdir/%ISONAME/75dpi

%files 100dpi-fonts
%_x11fontsdir/%ISONAME/100dpi

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0-ipl6mdk
- rebuild

* Mon Feb 19 2001 AEN <aen@logic.ru>
- Group name really fixed

* Sat Feb 17 2001 AEN <aen@logic.ru>
- Group name fixed

* Fri Dec  1 2000 AEN <aen@logic.ru>
- rebuild for 7.2RE

* Tue Nov 23 1999 AEN <aen@logic.ru>
- Package from BCL 6.02 (without changhelog (?))
- font path changed
